const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '需求信息添加', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    form: {},
    // 商品列表
    order: [],
    user_id: '12333',
    // 弹框
    dialog: { title: '添加商品', show: false, type: '1' },
  },
  back: function () {
    wx.navigateBack({ url: '/pages/apply/index' })
  },

  // 添加商品
  addOrder: function () {
    this.setData({ dialog: { title: '添加商品', show: true, type: '1' } })
  },
  // 商品保存
  orderSubmit: function (e) {
    const params = e.detail.value;
    if (!params.name) wx.showToast({ title: `商品名称`, icon: 'error', duration: 2000 });
    else if (!params.num) wx.showToast({ title: `商品数量`, icon: 'error', duration: 2000 });
    if (params.name && params.num) {
      this.setData({ order: [...this.data.order, params] });
      this.setData({ orderForm: {} });
      this.setData({ dialog: { title: '添加商品', show: false, type: '1' } });
    }
  },
  // 商品取消保存
  orderReset: function (e) {
    this.setData({ dialog: { title: '添加商品', show: false, type: '1' } })
  },
  // 取消保存
  onReset: function (e) {
    this.back()
  },
  // 提交保存
  onSubmit: function (e) {
    const params = e.detail.value;
    params.order = this.data.order;
    params.user_id = this.data.user_id;
    console.log(params);
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 监听用户是否登录
    // this.watchLogin();
    // 计算高度
    this.searchHeight();
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})