// pages/login/login.js
const app = getApp();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '出库管理', leftArrow: true, useBar: false },
        // 主体高度
        infoHeight: '',
        // 采购申请
        list: [],
        // 弹框
        dialog: { title: '详细信息', show: false, type: '1' },
        // 详细信息
        info: {},
    },
    back: function () {
        wx.navigateBack({ url: '/pages/home/index' })
    },
    // 添加出库
    toAdd: function () {
        wx.navigateTo({ url: `/pages/outdepot/detail` })
    },
    // 详细信息
    toView: function (e) {
        let data = { id: '1234567', register_name: '登记人', register_phone: '登记人电话', register_date: '2022-5-16', reason: '无', order: [{ name: '商品1', num: '10' }] }
        this.setData({ info: data })
        this.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        // 监听用户是否登录
        this.watchLogin();
        // 计算高度
        this.searchHeight();
    },
    // 监听用户是否登录
    watchLogin: function () {
        let data = [{ id: '1234567', register_name: '登记人', register_phone: '登记人电话', register_date: '2022-5-16' }]
        this.setData({ list: data })
        // wx.getStorage({
        // key: 'user',
        // success: res => {
        //   if (res.data) {
        //     // 查询菜单
        //     if (res.data) this.searchRouter(res.data);
        //     res.data.type = type.find((i) => i.value == res.data.type).label;
        //     if (res.data) this.setData({ userInfo: res.data });
        //     if (res.data && res.data.avatarUrl) this.setData({ avatarUrl: res.data.avatarUrl });
        //   } else {
        //     wx.redirectTo({ url: '/pages/login/index', })
        //   }
        // }
        // })
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        // 减去状态栏
        let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})